commit:     ddcfcd63b370deb86dd752442f331c4d735463f3
Author:     Bertrand Jacquin <bertrand <AT> jacquin <DOT> bzh>
AuthorDate: Mon Jan 15 21:39:25 2018 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Thu Jan 18 02:06:20 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ddcfcd63

dev-libs/wayland-protocols: Version bump to 1.12

Closes: https://bugs.gentoo.org/644536

 dev-libs/wayland-protocols/Manifest                |  1 +
 .../wayland-protocols-1.12.ebuild                  | 43 ++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/dev-libs/wayland-protocols/Manifest 
b/dev-libs/wayland-protocols/Manifest
index b7977dfc900..903e94b27b0 100644
--- a/dev-libs/wayland-protocols/Manifest
+++ b/dev-libs/wayland-protocols/Manifest
@@ -1 +1,2 @@
 DIST wayland-protocols-1.11.tar.xz 117852 BLAKE2B 
314f247efdffd0dbc46664e2abe7fade0cb0a36ef77310660f978ea9677c33acd60b1512a5dc2fdbfc40b8e1444da7bb4089e091433bbf2bc4b5ab41e97514ca
 SHA512 
6a6f816dd24f338182ddf11e2daa2db4f048f9153c618bd75712b6e02fccc41294c6c5f33692e858f54bab6b644b1dff49ca223ca2c8410a4afb8aa1b39e34a6
+DIST wayland-protocols-1.12.tar.xz 98920 BLAKE2B 
f6625f91ce5ba9e4ef88b296969e67d99f2889e405f3a416ab00c62d866a78fb554ff9baccfcd8cad2662ab0e5c7908866a9a04a1f16ec36c8a5af250c42564d
 SHA512 
84f913aeaf9786c5ddff4952fa4c318435569ccdc00c625f088b1dc9d6e61f3c439b2d217db9fcf2f0c37da954e266314749e2c3130bf3328cffdc3bdce5695a

diff --git a/dev-libs/wayland-protocols/wayland-protocols-1.12.ebuild 
b/dev-libs/wayland-protocols/wayland-protocols-1.12.ebuild
new file mode 100644
index 00000000000..4948be07ff8
--- /dev/null
+++ b/dev-libs/wayland-protocols/wayland-protocols-1.12.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+if [[ ${PV} = 9999* ]]; then
+       
EGIT_REPO_URI="https://anongit.freedesktop.org/git/wayland/wayland-protocols.git";
+       EXPERIMENTAL="true"
+
+       inherit git-r3 autotools
+else
+       inherit autotools
+fi
+
+DESCRIPTION="Wayland protocol files"
+HOMEPAGE="https://wayland.freedesktop.org/";
+
+if [[ $PV != 9999* ]]; then
+       SRC_URI="https://wayland.freedesktop.org/releases/${P}.tar.xz";
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 
~s390 ~sh ~sparc ~x86"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE=""
+
+RDEPEND="dev-libs/wayland"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig"
+
+src_prepare() {
+       default
+
+       [[ ${PV} == 9999 ]] && eautoreconf
+}
+
+src_test() {
+       export XDG_RUNTIME_DIR="${T}/runtime-dir"
+       mkdir "${XDG_RUNTIME_DIR}" || die
+       chmod 0700 "${XDG_RUNTIME_DIR}" || die
+
+       default
+}

Reply via email to